[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.WMWindowPosChanged

Event handler for size/move messages.

## Declaration

Source position: controls.pp line 2224

`protected procedure TWinControl.WMWindowPosChanged(`
`var Message: TLMWindowPosChanged`
`); message;`

## Arguments

`Message` |  | Window message handled in the method.

## Description

This method is called whenever left, top, width, height, clientwidth or clientheight have changed.

If the source of the message is the interface, the new size is stored in the internal BoundsRealized member. Avoids sending a size message back to the interface.